/* brepit.h: iterators not in the BREP library --- not robust ... */
/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef _BREPIT_H_
#define _BREPIT_H_

#include "brep.h"

extern void BrepSolidIterateFaces(BREP_SOLID *solid, void (*func)(BREP_FACE *));
extern void BrepSolidIterateFaces1A(BREP_SOLID *solid, void (*func)(BREP_FACE *, void *), void *parm);

extern void BrepSolidIterateContours(BREP_SOLID *solid, void (*func)(BREP_CONTOUR *));
extern void BrepSolidIterateContours1A(BREP_SOLID *solid, void (*func)(BREP_CONTOUR *, void *), void *parm);

extern void BrepContourReverseIterateVertices(BREP_CONTOUR *contour, void (*func)(BREP_VERTEX *));

#endif /*_BREPIT_H_*/
