/* mymath.h */
/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _MYMATH_H_INCLUDED_
#define _MYMATH_H_INCLUDED_

#ifndef M_PI
#define M_PI 3.1415927
#endif /*M_PI*/

#ifndef HUGE
#define HUGE 1e72
#endif /*HUGE*/

#ifndef M_LN2
#define M_LN2 0.69314718
#endif /*M_LN2*/

#endif /*_MYMATH_H_INCLUDED_*/
